# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import os

import icklib


class BuildInformation(icklib.InformationStore):

    attrs = ['build_number', 'commits', 'pipeline', 'status', 'duration']

    @property
    def _dirname(self):
        return os.path.dirname(self._filename)

    def get_artifacts_directory(self):
        return os.path.join(self._dirname, 'artifacts')

    def create_artifacts_directory(self):
        dirname = self.get_artifacts_directory()
        if not os.path.exists(dirname):
            os.makedirs(dirname)
        return dirname

    def get_build_log_filename(self):  # pragma: no cover
        return os.path.join(self._dirname, 'build.log')
