# Copyright 2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


class BuildPipeline(object):

    def __init__(self, name):
        self.name = name
        self.steps = None

    def set_build_steps(self, steps):
        self.steps = steps

    def build(self, project, statedir, targets, run_state):
        for step_class in self.steps:
            step = step_class()
            step.set_project(project)
            step.set_statedir(statedir)
            step.set_targets(targets)
            step.set_run_state(run_state)
            step.set_pipeline(self)
            if step.build():
                return True
